.image-with-content .image-wrapper {
    width: 100%;
    height: 100%;
}

.image-with-content .image-wrapper img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.image-with-content .img-content-blocks {
    display: flex;
    gap: 18px;
    flex-wrap: wrap;
}

.image-with-content .img-content-block {
    flex: 0 0 calc(35% - 9px);
    max-width: calc(35% - 9px);
    transition: all .5s ease;
}

.image-with-content .img-content-blocks-cont {
    display: flex;
    transform: translateY(200px);
    opacity: 0;
    transition: all 0.4s ease;
}
.image-with-content .img-content-blocks-cont.is-animated {
    transform: translateY(0);
    opacity: 1;
    transition: all 0.8s ease;
}

.image-with-content .img-content-block:has(input[type="radio"]:checked) {
    flex: 0 0 calc(65% - 9px);
    max-width: calc(65% - 9px);
}

.image-with-content input {
    display: none;
}

.image-with-content label {
    height: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}

.image-with-content {
    padding-top: var(--padding-top);
    padding-bottom: var(--padding-bottom);
}

.image-with-content .img-content-txt {
    position: absolute;
    bottom: 10px;
    left: 18px;
    padding: 20px;
    max-width: 660px;
    transform: translateY(150%);
    transition: all .5s ease
}

.image-with-content .img-content-block:has(input[type="radio"]:checked) .img-content-txt {
    transform: translateY(0);
}

.image-with-content .img-content-txt p {
    font-size: var(--font-size);
    color: rgba(255, 255, 255, 0.8);
    margin: 0;
    margin-top: 12px;
    line-height: 1.4;
}

.image-with-content .img-content-txt h2 {
    font-size: var(--font-size);
    color: var(--color);
}

@media (max-width:749px) {

    .image-with-content .img-content-txt p,
    .image-with-content .img-content-txt h2 {
        font-size: var(--font-size-mobile);
    }

    .image-with-content {
        padding-top: var(--padding-top-mobile);
        padding-bottom: var(--padding-bottom-mobile);
    }

    .image-with-content .img-content-block {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .image-with-content .img-content-txt {
        bottom: 0;
        left: 0;
        transform: unset;
        padding: 14px;
    }

    .image-with-content .img-content-block:has(input[type="radio"]:checked) {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .image-with-content .img-content-txt p {
        line-height: 1.3;
        margin-top: 6px;
    }
}

@media (max-width:575px) {
    .image-with-content .image-wrapper img {
        aspect-ratio: 4/3;
    }
}